"""Workflow examples for AgentiCraft.

This directory contains comprehensive examples demonstrating workflow functionality:

Basic Examples:
- simple_workflow.py: Basic sequential workflow with tools and agents
- workflow_features_demo.py: All workflow features without requiring API keys

Advanced Examples:
- visualization_example.py: Multiple visualization formats (Mermaid, ASCII, JSON, HTML)
- patterns_example.py: Common patterns (parallel, conditional, loops, map-reduce)
- enhanced_agent_example.py: Production features (checkpoints, planning, streaming)
- templates_example.py: Pre-built workflow templates for common use cases

Use Cases:
- research_workflow.py: Complete multi-agent research pipeline

See README.md for detailed documentation and usage instructions.
"""
